#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-

#
# Check_MK cisco_eigrp_topology_table WATO plugin
#
# Author: Th.L.
# Date: 2017-12-27
#
#
#
#

nowarnon = [('siaroutes', 'Stuck in active (SIA) routes'),
            ('activeroutes', 'Active routes')]

register_check_parameters(
    subgroup_networking,
    'cisco_eigrp_topology_table',
    _('Cisco EIGRP topology table'),
    Dictionary(
        help=_(''),
        elements=[
            ('nowarnon',
             ListChoice(
                 title=_('no warning if EIRGP SIA/active route found'),
                 label=_('no warning if EIRGP SIA/active route found'),
                 help=_('no warning if EIRGP Stuck in active (SIA) / active route found'),
                 choices=nowarnon,
                 default_value=[],
             ),
             )
        ],
    ),
    TextAscii(title=_('Cisco EIGRP topology table')),
    match_type='dict',
)
